Page MenuHomePhabricator

Remove $wgDisableUserGroupExpiry feature flag
Closed, ResolvedPublic

Description

...before MW 1.29 goes out.

Event Timeline

TTO created this task.Apr 8 2017, 8:51 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2017, 8:51 AM
MGChecker updated the task description. (Show Details)Apr 8 2017, 9:33 AM
TTO edited projects, added MW-1.29-release; removed MW-1.28-release.Apr 8 2017, 9:35 AM

Wow, I'm living in the past, aren't I?

Change 347594 had a related patch set uploaded (by TTO):
[mediawiki/core@master] Remove $wgDisableUserGroupExpiry feature flag

https://gerrit.wikimedia.org/r/347594

Change 347594 merged by jenkins-bot:
[mediawiki/core@master] Remove $wgDisableUserGroupExpiry feature flag

https://gerrit.wikimedia.org/r/347594

Change 352447 had a related patch set uploaded (by Florianschmidtwelzow; owner: TTO):
[mediawiki/core@REL1_29] Remove $wgDisableUserGroupExpiry feature flag

https://gerrit.wikimedia.org/r/352447

Change 352447 merged by jenkins-bot:
[mediawiki/core@REL1_29] Remove $wgDisableUserGroupExpiry feature flag

https://gerrit.wikimedia.org/r/352447

TTO closed this task as Resolved.May 7 2017, 3:02 AM

This change seems to have made group expiry a requirement rather than optional. Personally I'd like to disable this feature (or at least limit it only to certain users) because I get people applying expiries when they should not. Is there a reason this is no longer optional?

TTO added a comment.Dec 14 2018, 10:13 AM

This change seems to have made group expiry a requirement rather than optional. Personally I'd like to disable this feature (or at least limit it only to certain users) because I get people applying expiries when they should not. Is there a reason this is no longer optional?

Feature flags such as this one are meant to remain in MediaWiki temporarily, in order to allow time for Wikimedia database administrators to migrate schemas. If it was desired to disallow users from using this feature, a better way might be via a user right rather than a feature flag, although I wouldn't necessarily support that - there is a development cost to adding new user rights and I am not sure that the benefits outweigh that cost here.